package cn.gov.customs.wxjy.ibmmq.config;

import cn.gov.customs.cacp.sdks.core.user.trans.CacpTransUser;
import lombok.Data;

@Data
public class PushContext {
    private String busType;
    private String busId;
    private CacpTransUser operator;

    // 构造方法 + Getter/Setter
    public static PushContext of(String busType, String busId, CacpTransUser operator) {
        PushContext ctx = new PushContext();
        ctx.setBusType(busType);
        ctx.setBusId(busId);
        ctx.setOperator(operator);
        return ctx;
    }

}
